TokyoTyrant::connectUri
TokyoTyrant::copy
TokyoTyrant
PHP Manual

# TokyoTyrant::__construct

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::__construct — Construct a new TokyoTyrant object

### Description

public TokyoTyrant::__construct ([ string `$host` [, int `$port` = TokyoTyrant::RDBDEF_PORT [, array `$options` ]]] )

Constructs a new TokyoTyrant object and optionally connects to the database

### Parameters

`host`

  The hostname. Default: `NULL`

`port`

  port number. Default: 1978

`options`

  Connection options: timeout (default: 5.0), reconnect (default: `TRUE`) and persistent (default: `TRUE`)

### Return Values

Throws TokyoTyrantException if connection to database fails

### See Also

- TokyoTyrant::connect() - Connect to a database
- TokyoTyrant::connectUri() - Connects to a database

TokyoTyrant::connectUri
TokyoTyrant::copy
TokyoTyrant
PHP Manual